package cn.com.infosec.crypto;

import java.security.SecureRandom;

public class CipherKeyGenerator {
   protected SecureRandom random;
   protected int strength;

   public void init(KeyGenerationParameters param) {
      this.random = param.getRandom();
      this.strength = (param.getStrength() + 7) / 8;
   }

   public byte[] generateKey() {
      byte[] var10000 = new byte[this.strength];
      this.random.nextBytes(var10000);
      return var10000;
   }
}
